LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDataImporter Interface Referencepublished

makes it possible to import data from a data source into a component. More...

`import"XDataImporter.idl";`

Inheritance diagram for XDataImporter:

## Public Member Functions
void | importData ([in] com::sun::star::io::XActiveDataSource aActiveSource, [in] com::sun::star::lang::XComponent Component, [in] com::sun::star::io::XDataTransferEventListener aListener)
| imports data for a component from an active data source. More...
void | cancel ()
| cancels the import process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to import data from a data source into a component.

Importer objects are registered for specific components and data types.

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

cancels the import process.

## ◆ importData()

void importData | ( | [in] com::sun::star::io::XActiveDataSource | aActiveSource,
|  | [in] com::sun::star::lang::XComponent | Component,
|  | [in] com::sun::star::io::XDataTransferEventListener | aListener
| ) |  |

imports data for a component from an active data source.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XDataImporter.idl